<?php
/*
Plugin Name: ClaimIt
Plugin URI: http://www.petrichorpost.com/
Description: Simple plugin to claim your website on webmaster tools like in Google, Bing, Alexa, etc.
Author: Petrichorpost
Author URI: http://www.petrichorpost.com/
Version: 0.0.6
*/

/*
    Copyright (C) 2012-2013 Petrichorsoft.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//
define('CLAIMIT_URL', WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)));
define('CLAIMIT_PATH', WP_PLUGIN_DIR.'/'.dirname(plugin_basename(__FILE__)));
define('CLAIMIT_VERSION', '0.0.6');
//

//some default value
add_option('claimit_google_webmaster', '');
add_option('claimit_bing_webmaster', '');
add_option('claimit_alexa_webmaster', '');
add_option('claimit_alexa_webmaster', '');
add_option('claimit_webutation_webmaster', '');


Function claimit_head_section()
{
	$ci_alexa_wm = get_option('claimit_alexa_webmaster');
	$ci_google_wm = get_option('claimit_google_webmaster');
	$ci_bing_wm = get_option('claimit_bing_webmaster');
	$ci_webutation_wm = get_option('claimit_webutation_webmaster');
	$ci_weboftrust_wm = get_option('claimit_weboftrust_webmaster');

	echo "<!-- ClaimIt by Petrichorpost.com -->";

	if (!($ci_alexa_wm == ""))
	{
		$ci_alexa_wm_meta = '<meta name="alexaVerifyID" content="' . $ci_alexa_wm . '" />';
		echo $ci_alexa_wm_meta . "\n";
	}

	if (!($ci_google_wm == ""))
	{
		$ci_google_wm_meta = '<meta name="google-site-verification" content="' . $ci_google_wm . '" /> ';
		echo $ci_google_wm_meta . "\n";
	}

	if (!($ci_bing_wm == ""))
	{
		$ci_bing_wm_meta = '<meta name="msvalidate.01" content="' . $ci_bing_wm . '" />';
		echo $ci_bing_wm_meta . "\n";
	}
	if (!($ci_webutation_wm == ""))
	{
		$ci_webutation_wm_meta = '<meta name="webutation-site-verification" content="' . $ci_webutation_wm . '" />';
		echo $ci_webutation_wm_meta . "\n";
	}
	if (!($ci_weboftrust_wm == ""))
	{
		$ci_weboftrust_wm_meta = '<meta name="wot-verification" content="' . $ci_weboftrust_wm . '" />';
		echo $ci_weboftrust_wm_meta . "\n";
	}

	echo "<!-- /ClaimIt by Petrichorpost.com -->";
}


function claimit_options_page() {

	if (isset($_POST['claimit_info_update1']))
	{
		if (!isset($_POST['my_claimit_update_setting'])) die("Hmm .. looks like you didn't send any credentials.. No CSRF for you! ");
		if (!wp_verify_nonce($_POST['my_claimit_update_setting'],'claimit-update-setting')) die("Hmm .. looks like you didn't send any credentials.. No CSRF for you! ");

		update_option('claimit_google_webmaster', (string)$_POST["input_claimit_google_webmaster"]);
		update_option('claimit_bing_webmaster', (string)$_POST["input_claimit_bing_webmaster"]);
		update_option('claimit_alexa_webmaster', (string)$_POST["input_claimit_alexa_webmaster"]);
		update_option('claimit_webutation_webmaster', (string)$_POST["input_claimit_webutation_webmaster"]);
		update_option('claimit_weboftrust_webmaster', (string)$_POST["input_claimit_weboftrust_webmaster"]);

		echo '<div id="message" class="updated fade"><p><strong>Settings updated.</strong></p></div>';
		echo '</strong>';
	}

	?>
	<div class="wrap">

		<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
			<input type="hidden" name="claimit_info_update1" id="claimit_info_update1" value="true"/>

			<div id="icon-options-general" class="icon32"></div>
			<h2>ClaimIt Settings</h2>

			<?php
				$active_tab = isset($_GET['tab']) ? $_GET['tab'] : 'webmaster_options_tab';
				if(isset($_GET['tab'])) { $active_tab = $_GET['tab']; }
			?>
			<h2 class="nav-tab-wrapper">
				<a href="?page=claimit&amp;tab=webmaster_options_tab" class="nav-tab <?php echo $active_tab == 'webmaster_options_tab' ? 'nav-tab-active' : ''; ?>"><?php _e('Webmaster', 'claimit'); ?></a>
			</h2>
			<br>

			<?php if($active_tab == 'webmaster_options_tab') {
				require_once 'claimit-webmaster-options.php'; } ?>

		</form>

<?php
}

function claimit_admin() {
	add_options_page(__('ClaimIt', 'claimit'), __('ClaimIt', 'claimit'), 'manage_options', 'claimit', 'claimit_options_page');
}

add_action('admin_menu', 'claimit_admin');
//add_action('wp_head', 'claimit_head');
//add_action('init', 'claimit_head');
add_action('wp_head', 'claimit_head_section');

?>